# DROPBOXSIGNSEND

## Overview

The **DROPBOXSIGNSEND** application facilitates the integration of Dropbox Sign services within workflow processes. It allows the sending of documents for e-signature, signer management, and  signing experience customization.

## Parameters

### General

<table><thead><tr><th valign="top">Name</th><th width="109.36468505859375" valign="top">Type</th><th width="110.14813232421875" valign="top">Direction</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>API_KEY</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Dropbox Sign API key <br><br>By default, this value comes from the <code>DropboxSignApiKey</code> parameter in the <code>web.config</code> file.</td></tr><tr><td valign="top"><code>HOST_SERVER</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Dropbox Sign host server (e.g. <code>https://api.hellosign.com/v3</code>) <br><br>By default, this value comes from the <code>DropboxSignHostServer</code> parameter in the <code>web.config</code> file.</td></tr><tr><td valign="top"><code>SIGNERS_JSON</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">JSON representation of the signers<br><br>See <a href="https://developers.hellosign.com/api/reference/operation/signatureRequestSend/">Send Signature Request</a> and <a href="https://developers.hellosign.com/api/reference/operation/signatureRequestSendWithTemplate/">Send with Template</a> in the Dropbox Sign documentation.</td></tr><tr><td valign="top"><code>DATA_SEPARATOR</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Separator used in data fields<br><strong>Default</strong>: <code>,</code> (comma)</td></tr><tr><td valign="top"><code>WITH_ORDER</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Indicates if signer order must be set: <code>Y</code> (default) or <code>N</code></td></tr><tr><td valign="top"><code>IS_TEMPLATE</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Indicates if a template is used: <code>Y</code> or <code>N</code> (default)</td></tr><tr><td valign="top"><code>TEMPLATE_IDS</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">List of the templates' identifiers, separated by the value defined in the <code>DATA_SEPARATOR</code> parameter</td></tr><tr><td valign="top"><code>TITLE</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Title of the document</td></tr><tr><td valign="top"><code>SUBJECT</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Subject of the message accompanying the document</td></tr><tr><td valign="top"><code>MESSAGE</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Message accompanying the document</td></tr><tr><td valign="top"><code>ALLOW_DECLINE</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Indicates if the signer can decline to sign:  <code>Y</code> or <code>N</code> (default)</td></tr><tr><td valign="top"><code>FORM_FIELDS</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Custom form fields for the document</td></tr><tr><td valign="top"><code>CUSTOM_FIELDS</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Custom fields for the document</td></tr><tr><td valign="top"><code>USE_TEXT_TAGS</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Indicates if text tags should be used in the document: <code>Y</code> or <code>N</code> (default)</td></tr><tr><td valign="top"><code>HIDE_TEXT_TAGS</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Indicates if text tags should be hidden in the document:<code>Y</code> (default) or <code>N</code></td></tr><tr><td valign="top"><code>TEST_MODE</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Enables or disables test mode: <code>Y</code> or <code>N</code><br><br>By default, this value comes from the <code>DropboxSignSendTestMode</code> parameter in the <code>web.config</code> file.</td></tr><tr><td valign="top"><code>IS_EID</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Indicates if electronic identification is required: <code>Y</code> or <code>N</code> (default)</td></tr><tr><td valign="top"><code>FILEX</code></td><td valign="top"><code>FILE</code></td><td valign="top">IN</td><td valign="top">File(s) to send, where <code>X</code> corresponds to the file number; you can add one or multiple files</td></tr><tr><td valign="top"><code>CLIENT_ID</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Client ID of the app to associate with the signature request; used to apply the branding and callback URL defined for the app <br><br>By default, this value comes from the <code>DropboxSignClientId</code> parameter in the <code>web.config</code> file.</td></tr><tr><td valign="top"><code>SIGNATURE_ID</code></td><td valign="top"><code>TEXT</code></td><td valign="top">OUT</td><td valign="top">Contains the signature ID; you can use this ID in the DROPBOXSIGNCHECK_CUSTOM workflow application</td></tr></tbody></table>

### With a list of signers

#### **Required parameters**

<table><thead><tr><th valign="top">Name</th><th width="111.50140380859375" valign="top">Type</th><th width="108.01141357421875" valign="top">Direction</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>SIGNER_NAME_LIST</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Signers' names, separated by the value defined in the <code>DATA_SEPARATOR</code> parameter</td></tr><tr><td valign="top"><code>SIGNER_EMAIL_LIST</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Signers' email addresses, separated by the value defined in the <code>DATA_SEPARATOR</code> parameter</td></tr><tr><td valign="top"><code>SIGNER_ROLE_LIST</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">List of the signers' roles <br>✏️ <strong>Note:</strong> The role is only required if you use templates.</td></tr></tbody></table>

#### **Optional parameters**

<table><thead><tr><th valign="top">Name</th><th width="113.63812255859375" valign="top">Type</th><th width="109.14813232421875" valign="top">Direction</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>SIGNER_PIN_LIST</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">List of PIN codes for signers' authentication</td></tr><tr><td valign="top"><code>SIGNER_PHONE_LIST</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">List of signers' phone numbers</td></tr><tr><td valign="top"><code>SIGNER_PHONE_TYPE_LIST</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">List of phone types used by the signers</td></tr></tbody></table>

### With signer numbers

#### Required parameters

<table><thead><tr><th valign="top">Name</th><th width="107.94012451171875" valign="top">Type</th><th width="109.01141357421875" valign="top">Direction</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>SIGNER_NAMEX</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Signers' names, where <code>X</code> corresponds to the signer number; you can add one or multiple signers</td></tr><tr><td valign="top"><code>SIGNER_EMAILX</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Signers' emails, where <code>X</code> corresponds to the signer number; you can add one or multiple signers</td></tr><tr><td valign="top"><code>SIGNER_ROLEX</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Signers' roles, where <code>X</code> corresponds to the signer number; you can add one or multiple signers<br>✏️ <strong>Note:</strong> The role is only required if you use templates.</td></tr></tbody></table>

#### **Optional parameters**

<table><thead><tr><th valign="top">Name</th><th width="107.94012451171875" valign="top">Type</th><th width="109.01141357421875" valign="top">Direction</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>SIGNER_PINX</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">PIN codes for signers' authentication, where <code>X</code> corresponds to the signer number</td></tr><tr><td valign="top"><code>SIGNER_PHONEX</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Signers' phone numbers, where <code>X</code> corresponds to the signer number</td></tr><tr><td valign="top"><code>SIGNER_PHONE_TYPEX</code></td><td valign="top"><code>TEXT</code></td><td valign="top">IN</td><td valign="top">Types of phone used by the signers, where <code>X</code> corresponds to the signer number</td></tr></tbody></table>

### With signers defined as JSON

You can use the `SIGNERS_JSON` parameter to define signers. For more information, see [Send Signature Request](https://developers.hellosign.com/api/reference/operation/signatureRequestSend/) and [Send with Template](https://developers.hellosign.com/api/reference/operation/signatureRequestSendWithTemplate/) in the Dropbox Sign documentation.

#### **Examples**

**Without template**

```json
[
    {
      "name": "George",
      "email_address": "george@example.com",
      "order": 0
	},
	{
      "name": "Jack",
      "email_address": "jack@example.com",
      "order": 1
	}
]
```

**With templates**

```json
[
    {
      "role": "Client",
      "name": "George",
      "email_address": "george@example.com"
	}
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.workflowgen.com/admin/workflow-applications/dropbox-sign/dropboxsignsend.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
